#!/usr/bin/perl

use File::Basename;
use strict;

main:
{
    my (@list);
    print("*** DoxygenXML to SimpleXML Converter, (C) 2003 by ASSPERA-Team, Sebastian Huber (hubers\@in.tum.de)\n\n");
    if ($#ARGV!=0) {
        print("    Converts a directory of Doxygen-XML files to a simple XML-Representation for UMBRELLA-Import\n");
        print("        Usage: 2simpleXML [directory]\n");
        print("    Output files are stored with SIMPLE_ prefix within same directory!\n\n");
        exit;
    }
    undef @list;
    @list = readpipe("find $ARGV[0] -iname class*.xml");
    @list = (@list, readpipe("find $ARGV[0] -iname struct*.xml"));
    chomp @list;
    print("Converting:\n");
    for (my $i = 0; $i <= $#list; $i++) {
        print("Parsing $list[$i] ...");
        my ($name,$dir,$ext,$fn);
        ($name,$dir,$ext) = fileparse($list[$i]);
        $fn = $dir."SIMPLE_".$name.$ext;
        system("testXSLT -Q -INDENT 4 -IN $list[$i] -XSL doxygen2xml.xslt -OUT $fn");   # now transform
        print("done\n");
    }
    print("All done\n\n");
}

__END__
