/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CLASSIMPORTXML_H
#define CLASSIMPORTXML_H

#include <qptrlist.h>
#include "umldoc.h"

// forward declarations
class UMLAttribute;

/**
 * Interfaces classparser library to simple XML-files generated from doxygen-xml
 * @author Mikko Pasanen, Markus Krutner
 */

class ClassImportXML : private UMLDoc {
public:
	ClassImportXML(QWidget *parent, const char *name);
	~ClassImportXML();

	/**
	 *
	 */
	void importXML(QStringList headerFiles);
	/**
	 *
	 */
	void importXMLFile(const QString &headerFiles);

	/**
	 *
	 */
	UMLObject *createUMLObject(QString className, Uml::UMLObject_Type type);

	/**
	 *
	 */
	void insertAttribute(UMLObject *o, Uml::Scope scope, QString name, QString type, QString value = "");

	/**
	 *
	 */
	void insertMethod(UMLObject *o, Uml::Scope scope, QString name, QString type, QPtrList<UMLAttribute> *parList = NULL);

	/**
	 *
	 */
	bool createClass(QString className, UMLObject *uObject);
};

#endif
